import 'package:bloc/bloc.dart';
import 'splash_event.dart';
import 'splash_state.dart';

/// The SplashBloc class that handles splash screen-related events and states.
class SplashBloc extends Bloc<SplashEvent, SplashState> {
  SplashBloc() : super(SplashInitial()) {
    /// The event handler for the StartSplashScreenTimer event.
    on<StartSplashScreenTimer>((event, emit) async {
      await Future.delayed(const Duration(seconds: 3));
      emit(SplashCompleted());
    });
  }
}
